## org.eclipse.emf.mint
Interface IMemberAnnotationManager

    public interface IMemberAnnotationManager

Class responsible for determining and tracking the `code generation status` of Java type members (namely `fields`, `methods`, and `types`). Changes to the status of members that have been recently inquired about is tracked and registered `listeners` are notified.

The singleton instance of this class can be obtained by calling `MintCore.getMemberAnnotationManager()`.

Method Summary
`void` `addMemberAnnotationListener(IMemberAnnotationListener listener)` Adds a member annotation listener.
`CodeGenStatus` `getCodeGenStatus(org.eclipse.jdt.core.IMember member)` Returns the `code generation status` of the given member.
`void` `removeMemberAnnotationListener(IMemberAnnotationListener listener)` Removes a member annotation listener.

Method Detail

### addMemberAnnotationListener

    void addMemberAnnotationListener(IMemberAnnotationListener listener)

  Adds a member annotation listener.

  Parameters:
    `listener` - the listener to add

### removeMemberAnnotationListener

    void removeMemberAnnotationListener(IMemberAnnotationListener listener)

  Removes a member annotation listener.

  Parameters:
    `listener` - the listener to remove

### getCodeGenStatus

    CodeGenStatus getCodeGenStatus(org.eclipse.jdt.core.IMember member)

  Returns the `code generation status` of the given member.

  Parameters:
    `member` - Java type member whose code generation status to return
  Returns:
    member's code generation status

Copyright 2008, 2009 Ecliptical Software Inc. and others. All Rights Reserved.